HYPER(6)

NAME
hyper - non-euclidean graphical rogue-like game

SYNOPSIS
hyper

DESCRIPTION
This manual page documents briefly the hyper game.

HyperRogue is a game in which the player collects treasures and fights monsters -- rogue-like but for the fact that it is played on the hyperbolic plane and not in euclidean space.

OPTIONS
Most configuration can be accessed inside the game after pressing the v key.

Some configured options can be overridden from the command line:

-c configfile
    Instead of the default ~/.hyperrogue.ini, read and write the configuration from the specified configfile.

-s highscorefile
    Instead of the default ~/.hyperrogue.log, read and write high scores from the specified highscorefile.

-f  Start in fulls screen mode.

-w  Start in windowed mode.

-e  Use Escher stype graphics.

-a  Use ASCII stype graphics.

-p  Use plain graphics.

-r WxHxF
    Set the resolution to W times H, and font size to F.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

SEE ALSO
In-game help is available after pressing F1. It is context sensitive; put the cursor away from user interface elements and press F1 then for general help.

The online manual for hyper can be viewed at /usr/share/doc/hyperrogue/hyperrogue.html.

HIDDEN FEATURES
By pressing F6, the builtin polygon editor is invoked. It is not a fully featured hyperbolic geometry program, but is useful for designing individual player characters (using which requires modifications to the game's source code). Again, F1 displays a help screen.

Some advanced options are available by pressing Fn keys inside the v configuration menu:

F4  Cheat (gives one of each item, 50 killed monsters, golems or mirages, and an orb).

F7  Save a screenshot in BMP format in the current directory.

F8  Save a high resolution screenshot with different backgrounds.

F9  Enter demo mode (give many items, and denser worlds).

AUTHOR
HyperRogue was written by Zeno Rogue.

This manual page was written by chrysn <chrysn@fsfe.org>, for the Debian project (and may be used by others).